/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 * 
 * Copyright (C) 2001-2004 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, S. Chassande-Barrioz, A. Lefebvre
 */
package org.objectweb.medor.expression.parser.api;

import org.objectweb.jorm.type.api.PType;

/**
 * Callback interface for providing PTypes for parameters.
 *
 * @author A. Lefebvre, S. Chassande-Barrioz
 */
public interface ParameterTypeProvider {
	/**
	 * Returns the PType of a parameter, identified by its name.
	 * @param paramName the name of the parameter
	 * @return the PType of the parameter or null if the parameter name does
	 * not correspond to any parameter.
	 */
	PType getParameterPType(String paramName);
}
